#include <stdio.h>
#include <unistd.h>
#include "LEPC.h"

int main(int argc, char *argv[])
{
	int i;

	if( argc != 2 ){
		printf("usage : ReadDT <DT_filename>\n");
		return 0;
	}

	LE_MONDATAFORMAT1 mondata[100]={0};
	int length = 100 * sizeof(LE_MONDATAFORMAT1);

	printf("loading %s\n",argv[1]);
	
	int error = LELoadDT(argv[1], mondata, &length, LE_MONDATA_FORMAT_1);

	if(error == LE_FAIL){
		printf("file read error\n");
		return 1;
	}
	printf("file read : length = %d\n\n",length);
	
	for(i=0;i<100;i++){
		if(mondata[i].statusSD & LE_MONSTATUS_SD_DATA_VISIBLE)
			printf("%d %02x %c\n",i,mondata[i].SD,mondata[i].SD);
	}
	
	return 0;
}
